Deprecate Maven build #852

Closed
devemux86 opened this Issue Jul 8, 2016 · 5 comments

Projects

None yet

2 participants

@devemux86
Collaborator
devemux86 commented Jul 8, 2016 edited

Android Support jars have been removed from SDK and stopped working with maven-android-sdk-deployer.
See simpligility/maven-android-sdk-deployer#295

As a consequence Mapsforge now fails to build with Maven.

@devemux86 devemux86 added the bug label Jul 8, 2016
@devemux86 devemux86 added this to the 0.6.2 milestone Jul 8, 2016
@sytolk
sytolk commented Jul 8, 2016

@devemux86 Gradle buld with Java 8 failed #540

@devemux86
Collaborator
devemux86 commented Jul 8, 2016 edited

#540 is about Maven, is that you meant?

Also Java 8 doclint should be handled in #851.

@sytolk
sytolk commented Jul 8, 2016

#540 (comment) look at the bottom of the issue. Do you have success if you disable doclint and try to build project with Java 8 ?

@devemux86
Collaborator

For Gradle with Java 8 see fix in #853.

@devemux86 devemux86 changed the title from Maven build not working to Deprecate Maven build Jul 8, 2016
@devemux86 devemux86 closed this in 86cc087 Jul 8, 2016
@devemux86
Collaborator

We decided to deprecate Mapsforge Maven build and focus our resources on Gradle.

@devemux86 devemux86 added enhancement and removed bug labels Jul 9, 2016
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment